<!DOCTYPE html>
<html xmlns:th="http://thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	ng-app="appCaixa">
<head>
<meta charset="UTF-8" />
<link rel="icon" href="img/favicon.ico" type="image/x-icon" />
<link rel="stylesheet" type="text/css" href="./css/bootstrap.min.css"></link>
<link rel="stylesheet" type="text/css" href="./css/style.css"></link>
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
<script
	src="./js/angular.min.js"></script>
<script src="./js/app.js"></script>
</head>
<body ng-controller="saque">

	<div class="container">
		<nav class="navbar navbar-default ">
			<div class="container-fluid">
				<div class="navbar-header">
					<a class="navbar-brand" href="/index">Banco</a>
				</div>

				<!-- Collect the nav links, forms, and other content for toggling -->
				<div class="collapse navbar-collapse"
					id="bs-example-navbar-collapse-1">
					<ul class="nav navbar-nav">
						<li><a href="/cadastroCedula">Cadastrar Cedula</a></li>
						<li><a href="/cadastroSaque">Cadastrar Saque</a></li>
					</ul>

					<ul class="nav navbar-nav navbar-right">
						<li><a sec:authentication="principal.username">User</a></li>
						<li><a th:href="@{/logout}"><button>Sair</button></a></li>
					</ul>
				</div>
			</div>
		</nav>



		<div class="col-lg-12 col-sm-12 col-xs-12 alert alert-success"
			ng-show="displaySucess ">
			<strong>{{successMessage}}</strong>
		</div>
		<div class="col-lg-12 col-sm-12 col-xs-12 alert alert-danger"
			ng-show="displayError">
			<strong>{{errorMessage}}</strong>
		</div>
		<div id="panel-saque" class="collapse in">
			<h2 class="backgreen-orangefooter">Cadastrar Saque</h2>

			<!-- FORM COM UM VALOR DE SAQUE -->
			<form method="POST">
				<div class="form-group">

					<label for="saque">Sacar Valor</label>
					<div class="input-group">
						<div class="input-group-addon">R$</div>
						<input type="text" class="form-control" placeholder="Valor" onkeyup="this.value=this.value.replace(/[^\d]/,'')"
							id="saque" name="saque" ng-model="aSacar" value="" /> <br />
					</div>
				</div>
				<div id="botoes-saque" class="collapse">
					<button type="button" class="btn btn-primary"
						ng-click="carregaOpcoesSaque()" data-toggle="collapse"
						data-target="#panel-saque, #radios-saque">Escolher
						Cedulas</button>
					<button type="button" class="btn btn-primary"
						ng-click="melhorOpcaoSaque()" data-toggle="collapse"
						data-target="#panel-saque, #radios-saque">Saque Direto</button>
				</div>
				<br /> <br />
			</form>
			<!-- a href="/index"><button class="btn btn-primary">Voltar</button></a-->
			<a href="#"><button class="btn btn-primary"
					data-toggle="collapse" data-target="#botoes-saque ">Confirmar</button></a>
		</div>

		<!-- LISTA AS OPÇÕES DE SAQUE -->
		<div id="radios-saque" class="collapse">
			<h2 class="backgreen-orangefooter" ng-if="tiposSaque != ''">Opções
				de Saque</h2>
			<form method="POST" action="/cadastroSaqueEscolhido">
				<div ng-repeat="saque in tiposSaque" id="formConfirmarSaque">
					<!-- input type="radio" name="valor" ng-model="opcaoSaqueEscolhido" value="{{saque.movimentacoes}}" /-->
					<div class="radio">
						<label> <input type="radio" name="valor"
							ng-model="$parent.opcaoSaqueEscolhido" value="{{$index}}" />
							{{saque.label}} <!-- img alt="{{saque.label}}" src="./img/5reais.jpg" width="60px" height="30px" /-->
						</label>
					</div>
				</div>

				<button type="button" class="btn btn-primary"
					ng-click="saqueEscolhido()" ng-if="tiposSaque != ''"
					data-toggle="collapse"
					data-target="#panel-saque, #botoes-saque, #radios-saque">Confirmar</button>

				<button type="button" class="btn btn-primary" ng-click="limpar()"
					ng-if="tiposSaque != ''" data-toggle="collapse"
					data-target="#panel-saque, #botoes-saque, #radios-saque">Voltar</button>
			</form>
		</div>
	</div>

	<script src="./js/jquery.min.js"></script>
	<script src="./js/bootstrap.min.js"></script>
</body>
</html>
